admgroupdel(1M)

NAME
admgroupdel - deletes an existing group entry

SYNOPSIS

admgroupdel [-g gid] [-x ns=NIS+|NIS|NONE]
[-x domain=domain|rhost=host] [group]

DESCRIPTION
The Solstice admgroupdel command deletes an existing entry from the group database. The group must be specified by using either the group ID or group name.

AVAILABILITY

SUNWsadmb package.

OPTIONS

-g gid
    The group ID.

-x  Indicates that extended, nonstandard options follow.

    ns=NIS+|NIS|NONE
        Sets name service. The default is to use the name service configured on the host on which the command is run. The precedence is NIS+, NIS, then NONE.
        NIS+
            Updates the NIS+ group table for the current domain.

        NIS Updates the NIS group table for the current domain.

        NONE
            Updates the local /etc/group file.

    domain=domain|rhost=host
        Specifies domain or remote host. The domain can be specified when the value for the ns parameter is NIS+ or NIS. The domain defaults to the current system domain. The rhost can be specified when the value for the ns parameter is NONE. The rhost defaults to the current system. The rhost parameter can be used to perform the operation on the specified host. The machine specified as an argument to rhost must be running AdminSuite 2.1 or later for the command to complete successfully.

group
    The group name.

ENVIRONMENT

See environ(5) for descriptions of the following environment variables that affect the execution of admgroupdel: LANG, LC_ALL, LC_CTYPE, and LC_MESSAGES.

ERRORS

The admgroupdel command exits with one of the following values:

0   Success.

1   Invalid command syntax. A usage message for the admgroupdel command is displayed.

2   An error occurred while executing the command. An exception code and error message are displayed.

RESTRICTIONS
You must be a member of UNIX group 14, the sysadmin group, to execute this command. Also, if ns=NIS+, you must be a member of the NIS+ admin group (See nisgrpadm(1)). Interrupt signal handling is disabled while deleting the group to insure that the system is in a consistent state.

EXAMPLES
The following command deletes group 301 from the /etc/group file on a remote host named remote_system. Note that the rhost option can only be used when ns=NONE. admgroupdel -g 301 -x ns=NONE rhost=remote_system

FILES
/etc/group

SEE ALSO
admgroupadd(1M), admgroupls(1M), admgroupmod(1M)